<?php
function conexion() {
	global $conn;	
	
	$conn = @mssql_connect ('(local)', 'sa', 'ats475') or die ('No puedo conectar de la base de datos'); 	
	mssql_select_db('prefriobonaterra'); 
	
	/*
	$conn = mssql_connect ('(local)\SQLEXPRESS', 'sa', 'angola') or die ('No puedo conectar de la base de datos'); 	
	mssql_select_db('test2'); 
	*/
	/*
	$conn = mssql_connect ('(local)\SQLEXPRESS', 'sa', 'angola') or die ('No puedo conectar de la base de datos'); 	
	mssql_select_db('test2'); 
	*/
}
function desconexion($conn) {
	mssql_close($conn);
}
function rows_affected(){
 $result = mssql_query('SELECT @@ROWCOUNT');
 list($affected) = mssql_fetch_row($result);
 return $affected;
} 

function ejecutarsql($sql,&$filas,&$resultado) {
	global $conn;
	$resultado = mssql_query($sql,$conn) or die("No puede ejecutar query :$sql <br>");
	if (!$resultado) {
		echo "No puede ejecutar query :$sql <br>";
		exit;
	}
	$filas = rows_affected();
}

function ejecutarprocedimiento($proc,&$datos,$nombrecampo,$tipocampo) {
	$sp=mssql_init("$proc"); // stored proc name
	for ($i=0;$i<count($datos);$i++) {
	
		switch ($tipocampo[$i]) {	
			case 'vc200':
				mssql_bind($sp, "@".$nombrecampo[$i],&$datos[$i],SQLVARCHAR,FALSE,FALSE,200);
				break;
			case 'int':
				mssql_bind($sp, "@".$nombrecampo[$i],&$datos[$i],SQLINT4);
				break;								
			case 'output':
				mssql_bind($sp, "@".$nombrecampo[$i],&$datos[$i],SQLVARCHAR, true);				
				break;
			case 'outputi':
				mssql_bind($sp, "@".$nombrecampo[$i],&$datos[$i],SQLINT4, true);				
				break;				
			default:
				echo "error en ejecutar sql, tipo desconocido :".$tipocampo[$i];
				break;
		}
	}
	//$tmp2=debug($datos).debug($tipocampo)."<br>proceso:".$proc."<br>";
	$tmp2="";
	$tmp=mssql_execute($sp) or die ($proc);
	
	return $tmp; // or die("No pude realizar $proc<br>");
}


?>